<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pag_ibig_tables', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('salary_min', 50);
            $table->string('salary_max', 50);
            $table->string('employee_share', 50);
            $table->string('employer_share', 50);
            $table->boolean('enabled')->default(true)->index();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pag_ibig_tables');
    }
};
